{
  "name": "EICS",
  "version": "1.3.2",
  "scripts": {
    "dev": "vue-cli-service serve --open --mode development",
    "build": "vue-cli-service build",
    "build:prod": "vue-cli-service  build --mode prod",
    "build:uat": "vue-cli-service  build --mode uat",
    "build:usa": "vue-cli-service  build --mode usa",
    "build:usa_prod": "vue-cli-service  build --mode usa_prod",
    "pre": "vue-cli-service build --mode pre",
    "i18n": "npm run i18n:zh && npm run i18n:en",
    "i18n:zh": "node i18nGenerate.js lang=zh keyCol=5 valCol=6",
    "i18n:en": "node i18nGenerate.js lang=en keyCol=5 valCol=7"
  },
  "dependencies": {
    "@aws-sdk/client-s3": "^3.701.0",
    "@cornerstonejs/adapters": "^2.19.7",
    "@cornerstonejs/calculate-suv": "^1.1.0",
    "@cornerstonejs/core": "^2.19.7",
    "@cornerstonejs/dicom-image-loader": "^2.19.7",
    "@cornerstonejs/tools": "^2.19.7",
    "@icr/polyseg-wasm": "^0.4.0",
    "@microsoft/signalr": "^8.0.7",
    "@riophae/vue-treeselect": "^0.4.0",
    "@vue-office/docx": "^1.6.2",
    "@vue-office/excel": "^1.7.11",
    "@vue/composition-api": "^1.7.2",
    "ali-oss": "^6.17.1",
    "axios": "^0.18.1",
    "core-js": "^3.8.3",
    "cornerstone-core": "^2.6.1",
    "cornerstone-math": "^0.1.10",
    "cornerstone-tools": "^6.0.10",
    "cornerstone-wado-image-loader": "^4.13.2",
    "crypto-js": "^4.2.0",
    "dcmjs": "^0.29.8",
    "dicom-parser": "^1.8.9",
    "dicomedit": "^0.1.0",
    "echarts": "^4.8.0",
    "element-ui": "^2.15.14",
    "exceljs": "^4.4.0",
    "file-saver": "^2.0.5",
    "hammerjs": "^2.0.8",
    "html2canvas": "^1.4.1",
    "js-md5": "^0.8.3",
    "jsencrypt": "^3.3.2",
    "jszip": "^3.10.1",
    "minio": "^7.1.3",
    "moment": "^2.30.1",
    "moment-timezone": "^0.5.46",
    "node-xlsx": "^0.24.0",
    "normalize.css": "^8.0.1",
    "nprogress": "^0.2.0",
    "path-to-regexp": "^0.1.10",
    "pdfobject": "^2.3.0",
    "prismjs": "^1.30.0",
    "qrcodejs2": "^0.0.2",
    "screenfull": "^6.0.2",
    "sortablejs": "^1.15.5",
    "streamsaver": "^2.0.6",
    "svg-sprite-loader": "^4.1.3",
    "svgo": "^1.2.2",
    "v-viewer": "^1.7.4",
    "vcrontab": "^0.3.5",
    "vue": "^2.6.14",
    "vue-clipboard2": "^0.3.3",
    "vue-contextmenujs": "^1.4.11",
    "vue-count-to": "^1.0.13",
    "vue-demi": "^0.14.10",
    "vue-i18n": "^8.28.2",
    "vue-prism-editor": "^1.3.0",
    "vue-puzzle-vcode": "^1.1.10",
    "vue-router": "^3.0.6",
    "vue-seamless-scroll": "^1.1.23",
    "vuedraggable": "^2.24.3",
    "vuex": "^3.1.0",
    "webpack-aliyun-oss": "^0.3.13"
  },
  "devDependencies": {
    "@babel/core": "^7.12.16",
    "@babel/eslint-parser": "^7.12.16",
    "@babel/plugin-transform-class-static-block": "^7.26.0",
    "@vue/babel-plugin-transform-vue-jsx": "^1.4.0",
    "@vue/cli-plugin-babel": "~5.0.0",
    "@vue/cli-plugin-eslint": "~5.0.0",
    "@vue/cli-service": "~5.0.0",
    "autoprefixer": "^10.4.20",
    "clean-webpack-plugin": "^4.0.0",
    "copy-webpack-plugin": "^12.0.2",
    "css-minimizer-webpack-plugin": "^7.0.0",
    "eslint": "^7.32.0",
    "eslint-plugin-vue": "^8.0.3",
    "html-webpack-plugin": "^5.6.3",
    "mini-css-extract-plugin": "^2.9.2",
    "node-polyfill-webpack-plugin": "^4.0.0",
    "path-browserify": "^1.0.1",
    "process": "^0.11.10",
    "sass": "^1.63.2",
    "sass-loader": "^10.4.1",
    "terser-webpack-plugin": "^5.3.10",
    "vue-template-compiler": "^2.6.14",
    "webpack": "^5.96.1",
    "webpack-bundle-analyzer": "^4.10.2"
  },
  "eslintConfig": {
    "root": true,
    "env": {
      "node": true
    },
    "extends": [
      "plugin:vue/essential",
      "eslint:recommended"
    ],
    "parserOptions": {
      "parser": "@babel/eslint-parser",
      "requireConfigFile": false
    },
    "rules": {}
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not dead",
    "not op_mini all"
  ]
}
